Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614186 - dev-perl/Sub-Uplevel fails tests without '.' in @INC ( Can't locate t/lib/Foo.pm in @INC )
Summary: dev-perl/Sub-Uplevel fails tests without '.' in @INC ( Can't locate t/lib/Foo...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Low minor (vote)
Assignee: Gentoo Perl team
URL: https://github.com/Perl-Toolchain-Gan...
Whiteboard:
Keywords: TESTFAILURE
Depends on: 618980
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-03-29 07:47 UTC by Kent Fredric (IRC: kent\n) (RETIRED)
Modified: 2018-04-01 19:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2017-03-29 07:47:39 UTC
t/00-report-prereqs.t ........ ok                                                                            
t/01_die_check.t ............. ok                                                              
t/02_uplevel.t ............... 1/23 Can't locate t/lib/Foo.pm in @INC (you may need to install the t::lib::Foo module) (@INC contains: /var/tmp/portage/dev-perl/Sub-Uplevel-0.250.0/work/Sub-Uplevel-0.25/blib/lib /var/tmp/portage/dev-perl/Sub-Uplevel-0.250.0/work/Sub-Uplevel-0.
25/blib/arch /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.2
2.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at t/02_uplevel.t line 108.
BEGIN failed--compilation aborted at t/02_uplevel.t line 108.                       
# Looks like your test exited with 2 just after 1.              
t/02_uplevel.t ............... Dubious, test returned 2 (wstat 512, 0x200)
Failed 22/23 subtests                                                                              
t/03_nested_uplevels.t ....... ok                                                                 
t/04_honor_later_override.t .. ok                                                                                       
t/05_honor_prior_override.t .. ok                                                                                           
t/06_db_args.t ............... ok                                                                                                 
t/07_uplevel_too_high.t ...... ok                                                          
t/08_exporter.t .............. Can't locate t/lib/Importer.pm in @INC (you may need to install the t::lib::Importer module) (@INC contains: /var/tmp/portage/dev-perl/Sub-Uplevel-0.250.0/work/Sub-Uplevel-0.25/blib/lib /var/tmp/portage/dev-perl/Sub-Uplevel-0.250.0/work/Sub-Uplev
el-0.25/blib/arch /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_per
l/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at t/08_exporter.t line 14.
# Looks like your test exited with 2 before it could output anything.                          
t/08_exporter.t .............. Dubious, test returned 2 (wstat 512, 0x200)                        
Failed 1/1 subtests                                                                              
t/09_emptylist.t ............. ok                                                                                      
                                                                                                                                   
Test Summary Report                                                                                          
-------------------                                                                            
t/02_uplevel.t             (Wstat: 512 Tests: 1 Failed: 0)                                                                            
  Non-zero exit status: 2                                         
  Parse errors: Bad plan.  You planned 23 tests but ran 1.
t/08_exporter.t            (Wstat: 512 Tests: 0 Failed: 0)      
  Non-zero exit status: 2                                                                      
  Parse errors: Bad plan.  You planned 1 tests but ran 0.
Comment 1 Ettore Di Giacinto (RETIRED) gentoo-dev 2017-04-17 13:36:19 UTC
dev-perl/Sub-Uplevel: Version bump to 0.280 wrt bug #614186
Upstream:
- Fix '.' in @INC reliance.
- Rename private Importer test package to avoid confusion

Gentoo-Bug: https://bugs.gentoo.org/614186

Package-Manager: Portage-2.3.3, Repoman-2.3.2
Comment 2 Larry the Git Cow gentoo-dev 2018-04-01 19:29:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95816842ae90f6cbfb146fa267aa6bf7f24cbb03

commit 95816842ae90f6cbfb146fa267aa6bf7f24cbb03
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2018-04-01 19:29:27 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2018-04-01 19:29:27 +0000

    dev-perl/Sub-Uplevel: Cleanup old re bug #614186
    
    Closes: https://bugs.gentoo.org/614186
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-perl/Sub-Uplevel/Manifest                   |  2 --
 dev-perl/Sub-Uplevel/Sub-Uplevel-0.250.0.ebuild | 16 ----------------
 dev-perl/Sub-Uplevel/Sub-Uplevel-0.260.0.ebuild | 24 ------------------------
 3 files changed, 42 deletions(-)